import { Environment } from '@alfa-client/environment-shared';
import { KeycloakService } from 'keycloak-angular';

export function initializeKeycloak(keycloak: KeycloakService, envConfig: Environment) {
  return () =>
    keycloak.init({
      config: {
        url: envConfig.authServer,
        realm: envConfig.realm,
        clientId: envConfig.clientId,
      },
      initOptions: {
        adapter: 'default',
        checkLoginIframe: false,
        enableLogging: true,
        scope: 'offline_access',
        onLoad: 'login-required',
        silentCheckSsoRedirectUri: window.location.origin + '/assets/silent-check-sso.html',
        silentCheckSsoFallback: true,
      },
      updateMinValidity: 1,
      bearerExcludedUrls: ['/assets', '/clients/public'],
    });
}
