import { HelpMenuE2EComponent } from 'apps/alfa-e2e/src/components/user-assistance/help-menu.component.e2e';
import { HeaderE2EComponent } from 'apps/alfa-e2e/src/page-objects/header.po';
import { MainPage, waitForSpinnerToDisappear } from 'apps/alfa-e2e/src/page-objects/main.po';
import { dropCollections } from 'apps/alfa-e2e/src/support/cypress-helper';
import { exist } from 'apps/alfa-e2e/src/support/cypress.util';
import { loginAsSabine } from 'apps/alfa-e2e/src/support/user-util';

describe('Help Menu', () => {
  const mainPage: MainPage = new MainPage();
  const header: HeaderE2EComponent = mainPage.getHeader();
  const helpMenu: HelpMenuE2EComponent = header.getHelpMenu();

  before(() => {
    loginAsSabine();

    waitForSpinnerToDisappear();
    exist(header.getRoot());
  });

  after(() => {
    dropCollections();
  });

  describe('open documentation', () => {
    it('should show "open documentation" button', () => {
      helpMenu.getRoot().click();

      exist(helpMenu.getOpenDocumentationButton());
    });

    // TODO: Get URL of documentation from /api request
    it.skip('should open file', () => {
      helpMenu.getOpenDocumentationButton().find('a').invoke('removeAttr', 'target').click();

      // urlShouldInclude('Benutzerleitfaden');
    });
  });
});
