import { mock, Mock, useFromMock } from '@alfa-client/test-utils';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { createVorgangWithEingangResource } from 'libs/vorgang-shared/test/vorgang';
import { BescheidFacade } from './+state/bescheid.facade';
import { BescheidService } from './bescheid.service';
import { buildCreateBescheidCommand } from './bescheid.util';

describe('BescheidService', () => {
  let facade: Mock<BescheidFacade>;

  let service: BescheidService;

  beforeEach(() => {
    facade = mock(BescheidFacade);

    service = new BescheidService(useFromMock(facade));
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });

  describe('getBescheidCommand', () => {
    it('should call facade', () => {
      service.getBescheidCommand();

      expect(facade.getBescheidCommand).toHaveBeenCalled();
    });
  });

  describe('createBescheid', () => {
    const vorgangWithEingang: VorgangWithEingangResource = createVorgangWithEingangResource();

    it('should call facade', () => {
      service.createBescheid(vorgangWithEingang);

      expect(facade.createBescheid).toHaveBeenCalledWith(
        vorgangWithEingang,
        buildCreateBescheidCommand(),
      );
    });
  });
});
