/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TechSharedModule } from '@alfa-client/tech-shared';
import { UiModule } from '@alfa-client/ui';
import { BinaryFileAttachmentContainerComponent } from './binary-file-attachment-container/binary-file-attachment-container.component';
import { BinaryFileContainerComponent } from './binary-file-container/binary-file-container.component';
import { BinaryFileComponent } from './binary-file-container/binary-file/binary-file.component';
import { HorizontalBinaryFileListComponent } from './horizontal-binary-file-list/horizontal-binary-file-list.component';
import { VerticalBinaryFileListComponent } from './vertical-binary-file-list/vertical-binary-file-list.component';

@NgModule({
  imports: [CommonModule, UiModule, TechSharedModule],
  declarations: [
    BinaryFileAttachmentContainerComponent,
    BinaryFileComponent,
    BinaryFileContainerComponent,
    HorizontalBinaryFileListComponent,
    VerticalBinaryFileListComponent,
  ],
  exports: [
    BinaryFileAttachmentContainerComponent,
    BinaryFileContainerComponent,
    HorizontalBinaryFileListComponent,
    VerticalBinaryFileListComponent,
  ],
})
export class BinaryFileModule {}
