import { createAriaLabelForIconButton } from './assistive-technologies.util';
import { EMPTY_STRING } from '@alfa-client/tech-shared';

describe('createAriaLabelForIconButton', () => {
  const tooltip = 'Tooltip text';
  const svgIcon = 'test_icon';

  it('should return tooltip', () => {
    const ariaLabel = createAriaLabelForIconButton(tooltip, svgIcon);

    expect(ariaLabel).toBe(tooltip);
  });

  it.each([null, EMPTY_STRING])(
    'should return label with svg icon name for tooltip %s',
    (value: string) => {
      const ariaLabel = createAriaLabelForIconButton(value, svgIcon);

      expect(ariaLabel).toBe(`Icon Button mit einem ${svgIcon} Icon`);
    },
  );
});
