/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatBadge, MatBadgeModule } from '@angular/material/badge';
import { MatIcon } from '@angular/material/icon';
import { MatIconTestingModule } from '@angular/material/icon/testing';
import { getElementFromFixture } from '@alfa-client/test-utils';
import { getDataTestClassOf } from 'libs/tech-shared/test/data-test';
import { PostfachIconComponent } from './postfach-icon.component';

describe('PostfachIconComponent', () => {
  let component: PostfachIconComponent;
  let fixture: ComponentFixture<PostfachIconComponent>;

  const postfachIcon: string = getDataTestClassOf('postfach-icon-mat-icon');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [MatIcon, PostfachIconComponent, MatBadge],
      imports: [MatIconTestingModule, MatBadgeModule],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PostfachIconComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('mail icon', () => {
    it('should show mail icon', () => {
      component.showBadge = false;
      fixture.detectChanges();

      const icon: HTMLElement = getElementFromFixture(fixture, postfachIcon);

      expect(icon).toHaveClass('mat-icon');
      expect(icon).toHaveClass('mat-badge-hidden');
    });

    it('should show mail icon with badge', () => {
      component.showBadge = true;
      fixture.detectChanges();

      const icon: HTMLElement = getElementFromFixture(fixture, postfachIcon);

      expect(icon).toHaveClass('mat-badge');
    });
  });
});
