/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input, OnInit } from '@angular/core';
import { isISODateInPast } from '@alfa-client/tech-shared';
import { VorgangHeaderLinkRel, VorgangResource } from '@alfa-client/vorgang-shared';

@Component({
  selector: 'alfa-vorgang-next-frist-button',
  templateUrl: './vorgang-next-frist-button.component.html',
  styleUrls: ['./vorgang-next-frist-button.component.scss'],
})
export class VorgangNextFristButton implements OnInit {
  @Input() vorgang: VorgangResource;

  public showWiedervorlagen: boolean = false;
  public isOverdue: boolean;

  readonly vorgangLinkRel = VorgangHeaderLinkRel;

  ngOnInit() {
    this.isOverdue = isISODateInPast(this.vorgang.nextFrist as unknown as string);
  }
}
