package de.ozgcloud.alfa.historie;

import java.time.ZonedDateTime;

import de.ozgcloud.alfa.common.command.CommandOrder;

class VorgangChangeTestFactory {

	public static final String VALUE_BEFORE_CHANGE = "Value before";
	public static final String VALUE_AFTER_CHANGE = "Value after";
	public static final String ORGANISATIONSEINHEITEN_ID = "ORGA1";
	public static final String CREATED_BY_NAME = "User1";
	public static final ZonedDateTime FINISHED_AT = ZonedDateTime.now();
	public static final CommandOrder ORDER = CommandOrder.SET_AKTENZEICHEN;

	public static VorgangChange create() {
		return createBuilder().build();
	}

	public static VorgangChange.VorgangChangeBuilder createBuilder() {
		return VorgangChange.builder()
				.valueBeforeChange(VALUE_BEFORE_CHANGE)
				.valueAfterChange(VALUE_AFTER_CHANGE)
				.authorFullName(CREATED_BY_NAME)
				.finishedAt(FINISHED_AT)
				.order(ORDER)
				.organisationseinheitenID(ORGANISATIONSEINHEITEN_ID);
	}

}
