package de.ozgcloud.alfa.kommentar;

import java.util.stream.Stream;

import org.springframework.stereotype.Service;

import de.ozgcloud.alfa.common.binaryfile.BinaryFileService;
import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.xoev.xdomea.DokumentType;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Service
public class ExportKommentarService {

	private final KommentarService kommentarService;
	private final BinaryFileService binaryFileService;

	public Stream<DokumentType> createDokumentTypes(VorgangWithEingang vorgang) {
		return kommentarService.findByVorgangId(vorgang.getId())
				.map(kommentar -> DokumentTypeBuilder.builder()
						.withKommentarAttachments(binaryFileService.getFiles(kommentar.getAttachments()).toList())
						.withKommentar(kommentar)
						.build());
	}

}
