package de.ozgcloud.alfa.export;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;

import de.ozgcloud.alfa.common.TestUtils;
import de.ozgcloud.alfa.common.UUIDConverter;

class UUIDConverterTest {

	@Nested
	class TestFromObjectId {

		@Test
		void shouldReturnUUID() {
			var result = UUIDConverter.fromObjectId("64a820d36285172ac02826d0");

			assertThat(result).isEqualTo("64a820d3-6285-172a-c028-0000000026d0").matches(TestUtils.UUID_REGEX);
		}

		@Test
		void shouldThrowIllegalArgumentException() {
			assertThatThrownBy(() -> UUIDConverter.fromObjectId("abc")).isInstanceOf(IllegalArgumentException.class);
		}
	}

}